Skip to main content
POST
Execute node

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

workflowUuid
string<uuid>
required

Workflow identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
releaseUuid
string<uuid>
required

Release identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
node
Node · object
required

Node configuration.

computedConfig
Computed config · object
required

Computed node configuration.

context
Context · object
required

Execution context for the node.

groupContext
Group context · object

Group context for the node.

Response

Successful response

status
string
required

Execution status.

Allowed value: "pending"
message
string
required

Status message.

runUuid
string<uuid>

Identifier of the launched run, when available, so the client can poll for its result.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$